summarylogtreecommitdiffstats
path: root/c99
diff options
context:
space:
mode:
Diffstat (limited to 'c99')
-rw-r--r--c9912
1 files changed, 12 insertions, 0 deletions
diff --git a/c99 b/c99
new file mode 100644
index 000000000000..33c9703c559d
--- /dev/null
+++ b/c99
@@ -0,0 +1,12 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99 | -std=iso9899:1999) fl="" ;;
+ -std=*)
+ echo "$(basename $0) called with non ISO C99 option $opt" >&2
+ exit 1
+ ;;
+ esac
+done
+exec gcc-${_ver} $fl ${1+"$@"}